-- @start_restricted_prolog@
-- Licensed Materials - Property of IBM
-- 
-- 5724-I82 5724-L01 5655-N53 5655-R15 5655-N63               
-- Copyright IBM Corporation 2005, 2009 All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- @end_restricted_prolog@
 
-- MS SQLSERVER V2000 schema for Message Logger Mediation
 
CREATE TABLE MsgLog
  (TimeStamp DATETIME NOT NULL,
   MessageID VARCHAR(36) NOT NULL,
   MediationName VARCHAR(256) NOT NULL,
   ModuleName VARCHAR(256),
   Message TEXT,
   Version VARCHAR(10));

ALTER TABLE MsgLog
  ADD CONSTRAINT PK_MSGLOG PRIMARY KEY (TimeStamp, MessageID, MediationName);
